# Interface yii\debug\components\search\matchers\MatcherInterface

Implemented by | yii\debug\components\search\matchers\Base, yii\debug\components\search\matchers\GreaterThan, yii\debug\components\search\matchers\GreaterThanOrEqual, yii\debug\components\search\matchers\LowerThan, yii\debug\components\search\matchers\SameAs
Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2-debug/blob/master/components/search/matchers/MatcherInterface.php

MatcherInterface should be implemented by all matchers that are used in a filter.

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
hasValue() | Checks if base value is set | yii\debug\components\search\matchers\MatcherInterface
match() | Checks if the value passed matches base value. | yii\debug\components\search\matchers\MatcherInterface
setValue() | Sets base value to match against | yii\debug\components\search\matchers\MatcherInterface

## Method Details

hasValue() public abstract method

Checks if base value is set

public abstract boolean hasValue ( )
return | boolean | If base value is set

match() public abstract method

Checks if the value passed matches base value.

public abstract boolean match ( $value )
$value | mixed | Value to be matched
return | boolean | If there is a match

setValue() public abstract method

Sets base value to match against

public abstract void setValue ( $value )
$value | mixed |